/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.i18n.test;

import java.util.HashMap;

import junit.framework.TestCase;
import org.apache.log.Hierarchy;
import org.apache.avalon.excalibur.i18n.XMLResourceBundle;

/**
 * @author <a href="mailto:neeme@one.lv">Neeme Praks</a>
 * @version $Id: XMLResourceBundleTestCase.java,v 1.3 2001/08/22 12:25:42 donaldp Exp $
 */
public class XMLResourceBundleTestCase extends TestCase
{
    public XMLResourceBundleTestCase( String name )
    {
        super( name );
    }

    public void testSubstitute() throws Exception
    {
        HashMap dictionary = new HashMap(5);
        dictionary.put("nice", "not so nice");
        dictionary.put("bad", "too bad");
        XMLResourceBundle bundle = new XMLResourceBundle();
        bundle.setLogger(Hierarchy.getDefaultHierarchy().getLoggerFor("XMLResourceBundle"));
        bundle.init("test bundle", (String) "file:src/test/test.xml", new java.util.Locale("",""), null, false);
        assertTrue(bundle.substitute("This is a {nice} test!", dictionary), bundle.substitute("This is a {nice} test!", dictionary).equals("This is a not so nice test!"));
        assertTrue(bundle.substitute("This is a {nice}, {nice} test!", dictionary), bundle.substitute("This is a {nice}, {nice} test!", dictionary).equals("This is a not so nice, not so nice test!"));
        assertTrue(bundle.substitute("This is a {nice} but not {bad} test!", dictionary), bundle.substitute("This is a {nice} but not {bad} test!", dictionary).equals("This is a not so nice but not too bad test!"));
        assertTrue(bundle.substitute("This is a test!", dictionary), bundle.substitute("This is a test!", dictionary).equals("This is a test!"));
        assertTrue(bundle.substitute("", dictionary), bundle.substitute("", dictionary).equals(""));
    }
}
