/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.thread;

import org.apache.avalon.framework.CascadingException;

/**
 * Thrown when the work executed by ThreadPool is interupted by an exception.
 *
 * @author <a href="mailto:donaldp@apache.org">Peter Donald</a>
 * @version CVS $Revision: 1.1 $ $Date: 2001/08/15 17:50:39 $
 */
public class ThreadException
    extends CascadingException
{
    /**
     * Construct a new <code>ThreadException</code> instance.
     *
     * @param message The detail message for this exception.
     */
    public ThreadException( final String message )
    {
        this( message, null );
    }

    /**
     * Construct a new <code>ThreadException</code> instance.
     *
     * @param message The detail message for this exception.
     * @param throwable the root cause of the exception
     */
    public ThreadException( final String message, final Throwable throwable )
    {
        super( message, throwable );
    }
}
