/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.thread;

/**
 * This interface used to setup a thread after it exits the 
 * pool but before it services it's work. Useful for setting
 * thread-local variables like ContextClassLoader, thread name, etc.
 *
 * @author <a href="mailto:donaldp@apache.org">Peter Donald</a>
 */
public interface ThreadHook
{
    /**
     * Called before a thread executes work.
     * Used to initialize thread specific resources.
     *
     */
    void setupThread();
}
