/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included  with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.logger.test;

import org.apache.avalon.excalibur.testcase.ExcaliburTestCase;
import org.apache.avalon.excalibur.testcase.CascadingAssertionFailedError;

/**
 * LogKitManagementTest.
 *
 * @author <a href="mailto:giacomo@apache,org">Giacomo Pati</a>
 * @version CVS $Revision: 1.3 $ $Date: 2001/08/25 15:16:49 $
 */
public class LogKitManagementTestCase
    extends ExcaliburTestCase
{

    public static void main( final String [] args ) throws Exception
    {
        LogKitManagementTestCase lkmtc = new LogKitManagementTestCase( "LogKitManagementTestCase" );
        lkmtc.setUp();
        lkmtc.testComponent();
        lkmtc.tearDown();
    }

    public LogKitManagementTestCase( final String name )
    {
        super( name );
    }

    /*
    public void setUp()
        throws Exception
    {
        m_logPriority = Priority.DEBUG;
        super.setUp();
    }
    */

    public void testComponent() 
        throws CascadingAssertionFailedError
    {
        TestComponent tc = null;

        try
        {
            tc = (TestComponent) manager.lookup( TestComponent.ROLE + "/A" );
            tc.test( getLogger(), "Test log entry A" );
        }
        catch ( Exception e)
        {
            throw new CascadingAssertionFailedError( "There was an error in the LogKitManagement test", e );
        }
        finally
        {
            assertTrue(  "The test component could not be retrieved.", null != tc );
            manager.release( tc );
        }

        try
        {
            tc = (TestComponent) manager.lookup( TestComponent.ROLE + "/B" );
            tc.test( getLogger(), "Test log entry B" );
        }
        catch ( Exception e)
        {
            throw new CascadingAssertionFailedError( "There was an error in the LogKitManagement test", e );
        }
        finally
        {
            assertTrue(  "The test component could not be retrieved.", null != tc );
            manager.release( tc );
        }

        try
        {
            tc = (TestComponent) manager.lookup( TestComponent.ROLE + "/C" );
            tc.test( getLogger(), "Test log entry C" );
        }
        catch ( Exception e)
        {
            throw new CascadingAssertionFailedError( "There was an error in the LogKitManagement test", e );
        }
        finally
        {
            assertTrue(  "The test component could not be retrieved.", null != tc );
            manager.release( tc );
        }
    }
}
