/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included  with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.logger.test;

import org.apache.avalon.framework.logger.AbstractLoggable;
import org.apache.log.Logger;
import org.apache.log.LogTarget;

/**
 * TestComponent.
 *
 * @author <a href="mailto:giacomo@apache,org">Giacomo Pati</a>
 * @version CVS $Revision: 1.4 $ $Date: 2001/08/29 14:38:16 $
 */
public class TestComponentImpl 
    extends AbstractLoggable
    implements TestComponent
{
    public void test( Logger defaultLogger, String message ) 
    {
        final Logger logger = getLogger();
        final String cat = logger.getCategory();
        defaultLogger.info( "Category is " + cat );
        logger.debug( message );    
        logger.info( message );    
        logger.warn( message );    
        logger.error( message );    
        logger.fatalError( message );    
    }
}
